Subject: Re: bug#60188: 30.0.50; zerop cpd-length are not all handled inproject--read-file-cpd-relative

From: Dmitry Gutov <[email-masked]>
Date: Tue, 20 Dec 2022 02:55:04 +0200

On 20/12/2022 01:48, Shuguang Sun wrote:
> Yes. It is relative file names and common-parent-directory is nil.
> 
> 
> ------------------ Original ------------------
> 
> On 19/12/2022 07:12, Shuguang Sun via Bug reports for GNU Emacs, the
> Swiss army knife of text editors wrote:
>  > Finaly I found it is due the the zero length of
>  > `common-parent-directory` in `project--read-file-cpd-relative` as I
>  > using `fd` to provide the list of dirs which does not include the common
>  > project root in the returnd dirs.
> 
> Does that mean that it returns relative file names?

I think the easiest solution is to make sure the returned file names are 
absolute ones (you'll need to do a bunch of 'concat' calls, but that has 
limited overhead). I want to work on that inefficency in project-files a 
little later, but now it's how it is.